Highlighted

How to use AIR SDK 3.8 with Flash Builder 4.6 ?

Community Beginner ,
Jun 04, 2013

Copy link to clipboard

Copied

Until now i was using AIR SDK 3.6 with Flash Builder 4.6 on mac OS X, with known method of "rsyncing" new sdk files, and patching the config xml-s, but now i downloaded the new SDK 3.8 beta, because i wanted to upgrade, and that method fails. For a new Flex Mobile project i get the compile error "Could not resolve <s:TabbedViewNavigatorApplication> to a component implementation, Flex problem" ...

I see on AIR SDK download page http://labs.adobe.com/downloads/air.html there are two versions of SDK, one is with the compiler 2.0 one is for Flex users ... What I'm supposed to download and upgrade with Flash Builder 4.6 ??

Can this new SDK even be used on FB 4.6 ? or is only supported for FB 4.7 ?

Thank you.

You can use  http://labsdownload.adobe.com/pub/labs/flashruntimes/air/air3-8_sdk_sa_mac.tbz2 with FB 4.6. Below are the steps to overlay the sdk

1. Exit Flash Builder. 

2. (Optional) Back up the Flex SDK by copying the entire directory.

    In Flash Builder, for example, copy the directory at:

  • Mac OS: /Applications/Adobe Flash Builder 4.7/sdks/4.6.0

3. Download the appropriate AIR SDK file for your operating system e.g. http://labsdownload.adobe.com/pub/labs/flashruntimes/air/air3-8_sdk_sa_mac.tbz2,  unzip and save it on your MAC OS X.

4. In Terminal, run the below command

sudo ditto /path/air3-8_sdk_sa_mac /Applications/Adobe\ Flash\ Builder\ 4.6/sdks/4.6.0

5. (Optional) To access the new AIR 3.8 APIs, update your application descriptor file to the 3.8 namespace.

To update the namespace, change the xmlns attribute in your application descriptor to: <application xmlns="http://ns.adobe.com/air/application/3.8">

6. (Optional) To ensure that the output SWF file targets SWF version 21, pass an additional compiler argument: -swf-version=21.

Hope this will help.

Regards,

Nimit

TOPICS
Air beta

Views

11.8K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

How to use AIR SDK 3.8 with Flash Builder 4.6 ?

Community Beginner ,
Jun 04, 2013

Copy link to clipboard

Copied

Until now i was using AIR SDK 3.6 with Flash Builder 4.6 on mac OS X, with known method of "rsyncing" new sdk files, and patching the config xml-s, but now i downloaded the new SDK 3.8 beta, because i wanted to upgrade, and that method fails. For a new Flex Mobile project i get the compile error "Could not resolve <s:TabbedViewNavigatorApplication> to a component implementation, Flex problem" ...

I see on AIR SDK download page http://labs.adobe.com/downloads/air.html there are two versions of SDK, one is with the compiler 2.0 one is for Flex users ... What I'm supposed to download and upgrade with Flash Builder 4.6 ??

Can this new SDK even be used on FB 4.6 ? or is only supported for FB 4.7 ?

Thank you.

You can use  http://labsdownload.adobe.com/pub/labs/flashruntimes/air/air3-8_sdk_sa_mac.tbz2 with FB 4.6. Below are the steps to overlay the sdk

1. Exit Flash Builder. 

2. (Optional) Back up the Flex SDK by copying the entire directory.

    In Flash Builder, for example, copy the directory at:

  • Mac OS: /Applications/Adobe Flash Builder 4.7/sdks/4.6.0

3. Download the appropriate AIR SDK file for your operating system e.g. http://labsdownload.adobe.com/pub/labs/flashruntimes/air/air3-8_sdk_sa_mac.tbz2,  unzip and save it on your MAC OS X.

4. In Terminal, run the below command

sudo ditto /path/air3-8_sdk_sa_mac /Applications/Adobe\ Flash\ Builder\ 4.6/sdks/4.6.0

5. (Optional) To access the new AIR 3.8 APIs, update your application descriptor file to the 3.8 namespace.

To update the namespace, change the xmlns attribute in your application descriptor to: <application xmlns="http://ns.adobe.com/air/application/3.8">

6. (Optional) To ensure that the output SWF file targets SWF version 21, pass an additional compiler argument: -swf-version=21.

Hope this will help.

Regards,

Nimit

TOPICS
Air beta

Views

11.8K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Jun 04, 2013 1
Adobe Employee ,
Jun 04, 2013

Copy link to clipboard

Copied

You can use  http://labsdownload.adobe.com/pub/labs/flashruntimes/air/air3-8_sdk_sa_mac.tbz2 with FB 4.6. Below are the steps to overlay the sdk

1. Exit Flash Builder. 

2. (Optional) Back up the Flex SDK by copying the entire directory.

    In Flash Builder, for example, copy the directory at:

  • Mac OS: /Applications/Adobe Flash Builder 4.7/sdks/4.6.0

3. Download the appropriate AIR SDK file for your operating system e.g. http://labsdownload.adobe.com/pub/labs/flashruntimes/air/air3-8_sdk_sa_mac.tbz2,  unzip and save it on your MAC OS X.

4. In Terminal, run the below command

sudo ditto /path/air3-8_sdk_sa_mac /Applications/Adobe\ Flash\ Builder\ 4.6/sdks/4.6.0

5. (Optional) To access the new AIR 3.8 APIs, update your application descriptor file to the 3.8 namespace.

To update the namespace, change the xmlns attribute in your application descriptor to: <application xmlns="http://ns.adobe.com/air/application/3.8">

6. (Optional) To ensure that the output SWF file targets SWF version 21, pass an additional compiler argument: -swf-version=21.

Hope this will help.

Regards,

Nimit

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 04, 2013 0
Community Beginner ,
Jun 05, 2013

Copy link to clipboard

Copied

That is a go Now i'm able to target 3.8, thank You, i really appreciate it. I did something similar but i messed up with the wrong SDK download.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 05, 2013 0
New Here ,
Jun 13, 2013

Copy link to clipboard

Copied

Hi,

I am renting a mac in the cloud, and trying to do the same thing. I am having trouble with changing the directory to the sdk dir in Terminal. After I cd to Applications, I tried cd to Adobe_Flash_Builder_4.7 and all sorts of other combinations to no avail. Is it possible it is blocked by the host? Can you tell me exactly what you type in terminal to go to the sdk dir pls?

Thanks

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 13, 2013 0
New Here ,
Jun 13, 2013

Copy link to clipboard

Copied

ok, I got it figured out, thanks

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 13, 2013 0
Explorer ,
Oct 22, 2013

Copy link to clipboard

Copied

I had this issue with the latest version of air 3.9. I solved it by undoing all the air installs that I had tried and then overlaying the new air sdk with out the compiler. I had tried putting it in:

     /Applications/Adobe Flash Builder 4.7/eclipse/plugins/com.adobe.flash.compiler_4.7.0.349722/AIRSDK

and doing it the overlay way at this location:

     /Applications/Adobe Flash Builder 4.7/sdks/4.6.0

But it wasn't until I saw the little note at the bottom of the download page that says this:

     "Note: Flex users will need to download the original AIR SDK without the new compiler."

It worked after I reset both the sdk at the eclipse plugin spot and flex sdk 4.6.0 and then overlayed the flex sdk 4.6.0 with the sdk with out the compiler.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 22, 2013 0
Explorer ,
Jul 15, 2020

Copy link to clipboard

Copied

Message attn nimitja:

I've just installed AIR SDK 33.1 downloaded from Harman on both FB4.6 and FB4.7 64.

I cannot export any apk file or win executable file:

Once I click the Finish button after having completed all the fields and choosen all options, nothing occurs, no build is generated and the exprt dialog box does not close.

It seems that many other users meet the same issue:

https://community.adobe.com/t5/air/using-adobe-air-33-1-harman-can-t-export-ios-ipa-build-from-flash...

When can we expect an answer from Adobe or better a fix?

Thanks in advance for your help.

Regards

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 15, 2020 0